因消息队列RocketMQ接入点地域化变更,如果您的实时计算作业使用了RocketMQ Connector,您需要在2021年11月之前升级您的实时计算作业至Blink 3.7.10或VVR 3.0.1及以上版本,并将作业中EndPoint参数取值更改为新的RocketMQ接入点,旧的RocketMQ接入点存在稳定性风险或不可用的问题。

升级公告

因消息队列RocketMQ接入点地域化变更(详情请参见关于TCP内网接入点设置的公告),如果您已使用了Blink 3.7.10以下版本或VVR 3.0.1以下版本的RocketMQ Connector,则您需要将您的实时计算作业升级至Blink 3.7.10或VVR 3.0.1及以上版本,并将作业中EndPoint参数取值更改为新的RocketMQ接入点,EndPoint参数详情请参见:

注意事项

  • 旧的RocketMQ接入点在2011年11月后完全不可用,且使用旧的RocketMQ接入点的作业可能存在稳定性风险,因此请您尽快安排作业升级,务必在2021年11月之前完成升级工作。
  • RocketMQ产品承诺:2021年11月前不会下线旧的RocketMQ接入点,但旧的RocketMQ接入点无法保证作业稳定性。
  • 本次升级会导致作业的State无法兼容,请结合业务情况合理安排升级时间,尽量减少对业务的影响。
  • 2021年11月1日以后,实时计算Flink版产品侧不再对使用了旧的RocketMQ接入点的作业进行维护和支持。